Skip to main content
PUT
Create or update a payee by identifier

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

identifier
string
required

Custom identifier for the payee (e.g., external vendor ID)

Body

application/json
given_name
string
required

First name

Required string length: 1 - 255
Example:

"John"

family_name
string
required

Last name

Required string length: 1 - 255
Example:

"Doe"

middle_name
string | null
Required string length: 1 - 255
company
string | null
Required string length: 1 - 255
name
string | null
Required string length: 1 - 255
email
string<email> | null
phone
string | null

E.164 formatted phone number

entity_type
enum<string>
default:Individual

Type of legal entity

Available options:
Individual,
Company
address
object
active
boolean
default:true
identifier
string | null

Custom identifier for the payee

Required string length: 1 - 50
preferred_language
string | null
Maximum string length: 20
metadata
object | null

Optional metadata as key-value pairs

Example:

Response

Payee updated.

id
string
Example:

"pyee_KfIuLz83Ya"

given_name
string
Example:

"John"

family_name
string
Example:

"Doe"

middle_name
string | null
name
string
identifier
string
Example:

"PYEE-2025-001"

email
string<email> | null
phone
string | null

E.164 formatted phone number

company
string | null
entity_type
enum<string>
Available options:
Individual,
Company
Example:

"Individual"

address
object | null
active
boolean
Example:

true

status
enum<string>

Current status of the payee based on information completeness and active state

Available options:
Active,
MissingInfo,
Inactive
Example:

"Active"

preferred_language
string | null

BCP 47 language tag (e.g. en, en-US)

Maximum string length: 20
metadata
object | null

Optional metadata as key-value pairs

Example:
created_at
string<date-time>
updated_at
string<date-time>
Last modified on June 14, 2026